#!/bin/bash
PRODUCTNAME="cpbxapi"
TMPDIR="/tmp/cpbxapi"
INSTALLDIR="/usr/share/cpbxapi"
IPCDIR="/etc/ipconnect"

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"
mkdir -p "$IPCDIR/cpbxapi"

chmod +x $INSTALLDIR/php/cpbxapi_cli.php
chmod +x $INSTALLDIR/helpers/*

touch "$IPCDIR/cpbxapi/patch_done"
for f in $INSTALLDIR/InstallScripts/patchs/*
do
  FILENAME=$(basename "$f")
  DONE=`grep -F "$FILENAME" "$IPCDIR/cpbxapi/patch_done" | wc -l`
  if [ "$DONE" = "0" ]
  then
    echo "Applying patch $FILENAME"
    EXT="${f##*.}"
    case $EXT in
      sh)
      /bin/bash $f
      ;;
      php)
      /usr/bin/php $f
      ;;
      *)
      echo "I don't know how to handle $EXT file"
      ;;
    esac
    echo $FILENAME >> "$IPCDIR/cpbxapi/patch_done"
  fi
done

rm -rf "$TMPDIR"
exit